Bug 11620 - Add dissertation-information index for non-UNIMARC installations
Summary: Add dissertation-information index for non-UNIMARC installations
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-27 14:15 UTC by Jonathan Druart
Modified: 2016-12-05 21:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11620: Add dissertation-information index for MARC21 (502) (3.33 KB, patch)
2015-05-25 12:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11620: Add dissertation-information index for MARC21 (502) (3.42 KB, patch)
2015-06-18 15:59 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 11620: Add dissertation-information index for MARC21 (502) (3.47 KB, patch)
2015-07-17 15:12 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-01-27 14:15:34 UTC
The dissertation-information index is added by bug 11202 for UNIMARC but does not exist for others marc formats.
Comment 1 Katrin Fischer 2015-05-25 11:39:32 UTC
MARC21:
http://www.loc.gov/marc/bibliographic/bd502.html
Comment 2 Katrin Fischer 2015-05-25 12:02:05 UTC Comment hidden (obsolete)
Comment 3 Magnus Enger 2015-05-26 07:16:09 UTC
NORMARC also has a dissertation note in 502, but I can add that in a separate bug when Katrin has gotten approval of her patch here.
Comment 4 Bernardo Gonzalez Kriegel 2015-06-18 15:59:38 UTC Comment hidden (obsolete)
Comment 5 Tomás Cohen Arazi 2015-07-07 14:56:05 UTC
Just a note for people interested on this bug, we don't touch GRS1-related stuff anymore as of the 3.16 release.
Comment 6 Katrin Fischer 2015-07-08 23:51:40 UTC
Thx Tomas - so this is ready for QA! :)
Comment 7 Kyle M Hall 2015-07-17 15:12:15 UTC
Created attachment 41073 [details] [review]
[PASSED QA] Bug 11620: Add dissertation-information index for MARC21 (502)

Bug 11202 introduced a new index 'dissertation-information' for
UNIMARC. This patch adds the index also for MARC21 installations.

http://www.loc.gov/marc/bibliographic/bd502.html

To test:
- Apply patch
- Copy files in etc/zebradb changed by this patch to your
  corresponding directory (koha-dev..)
- Make sure you have records with 502
- Reindex
- Verify you can search the field contents with
  dissertation-information= and
  diss=

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Can find by dissertation-information,
No errors

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Tomás Cohen Arazi 2015-07-20 14:03:36 UTC
Patch pushed to master.

Thanks Katrin!